package com.cooleshow.student.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;

/**
 * 创建日期：2022/5/31 14:40
 *
 * @author Ryan
 * 类说明：
 */
public class PracticeVideoWorkBean implements MultiItemEntity {
    public PracticeVideoWorkBean(String videoUrl, int type) {
        this.videoUrl = videoUrl;
        this.type = type;
    }

    public String videoUrl;
    //默认为0 为视频展示 为1时添加视频
    public int type;
    public int status;//0可删除 1不可删除

    @Override
    public int getItemType() {
        return type;
    }


    public static PracticeVideoWorkBean defaultInstance() {
        return new PracticeVideoWorkBean("", 1);
    }

    public static PracticeVideoWorkBean createNormalInstance(String url) {
        return new PracticeVideoWorkBean(url, 0);
    }
}
